/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package Prog2;

import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.*;

class AppTest {
//рекурсия 
  @Test void factorial(){
      assertEquals(BigInteger.valueOf(6),FactorialRecursia.factorialrecursia(3));
    }

    @Test void factorial_0(){
      assertEquals(BigInteger.ONE,FactorialRecursia.factorialrecursia(0));
    }

    @Test void factorial_1(){
      assertEquals(BigInteger.ONE,FactorialRecursia.factorialrecursia(1));
    }

//без рекурсии
    @Test void factorial(){
        assertEquals(BigInteger.valueOf(6),Factorial.calculateFactorial(3));
      }

      @Test void factorial_0(){
        assertEquals(BigInteger.ONE,Factorial.calculateFactorial(0));
      }

      @Test void factorial_1(){
        assertEquals(BigInteger.ONE,Factorial.calculateFactorial(1));
      }

}
